
import java.awt.Color;
import javax.swing.JFrame;

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 *
 * @author James
 */
public class Main {
    static JFrame Frame = new JFrame();
    public static void main(String [] args){
        
        Frame.getContentPane().setBackground(Color.BLUE);
        Frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        Frame.setSize(600,600);
        //homePage hp = new homePage(Frame);
        //PunchCount pc = new PunchCount(Frame);
        Frame.setContentPane(new LoginPanel());
        Frame.repaint();
        Frame.revalidate();
        Frame.setVisible(true);
    }
    
    public static void swap(int i)
    {
        if(i == 0)
        {
            Frame.setContentPane(new LoginPanel());
            Frame.repaint();
            Frame.revalidate();
        }
        else if(i == 1)
        {
            Frame.setExtendedState(JFrame.MAXIMIZED_BOTH);
            //Frame.setResizable(false);
            Frame.setContentPane(new homePagePanel());
            Frame.repaint();
            Frame.revalidate();
        }
        else if(i == 2)
        {
            Frame.setExtendedState(JFrame.MAXIMIZED_BOTH);
            //Frame.setResizable(false);
            Frame.setContentPane(new ComboScorePanel());
            Frame.repaint();
            Frame.revalidate();
        }
        else if(i == 3)
        {
            Frame.setExtendedState(JFrame.MAXIMIZED_BOTH);
            //Frame.setResizable(false);
            Frame.setContentPane(new TotalForcePanel());
            Frame.repaint();
            Frame.revalidate();
        }
        else if(i == 4)
        {
            Frame.setExtendedState(JFrame.MAXIMIZED_BOTH);
            //Frame.setResizable(false);
            Frame.setContentPane(new TotalTimePanel());
            Frame.repaint();
            Frame.revalidate();
        }
        else if(i == 5)
        {
            Frame.setExtendedState(JFrame.MAXIMIZED_BOTH);
            //Frame.setResizable(false);
            Frame.setContentPane(new PunchCountPanel());
            Frame.repaint();
            Frame.revalidate();
        }
        else if(i == 6)
        {
            Frame.setExtendedState(JFrame.MAXIMIZED_BOTH);
            //Frame.setResizable(false);
            Frame.setContentPane(new FormulaPage());
            Frame.repaint();
            Frame.revalidate();
        }
    }
    public static void closeFrame(){
        Frame.dispose();
        System.exit(0);
    }
}
